import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DatabaseBackupWhereInputObjectSchema as DatabaseBackupWhereInputObjectSchema } from './DatabaseBackupWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => DatabaseBackupWhereInputObjectSchema).optional()
}).strict();
export const UserCountOutputTypeCountBackupsArgsObjectSchema = makeSchema();
export const UserCountOutputTypeCountBackupsArgsObjectZodSchema = makeSchema();
